%define	module	Text-SimpleTable
%define	name	perl-%{module}
%define version 0.03
%define release %mkrel 2

Summary:	Simple Eyecandy ASCII Tables
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRequires:  perl(Module::Build)
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
Simple eyecandy ASCII tables, as seen in Catalyst.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%buildroot

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL 

* Wed Jan 18 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.03-1mdk
- 0.03

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-3mdk
- Add BuildRequires

* Mon Dec 19 2005 Buchan Milne <bgmilne@mandriva.org> 0.02-2mdk
- Rebuild
- use mkrel

* Fri Dec 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- Initial MDV package
